Get Address Limit
Endpoint
Parameters
Path Parameters
| Field |
Type |
Description |
b_id Required |
String |
Business line ID |
Response
Response Body
| Field | Type | Description |
|---|
| code | Integer | Response code (0 = success) |
| message | String | Response message |
| successful | Boolean | Whether the request was successful |
| data | Object | Address limit data (see data object details below). |
data (object)
| Field | Type | Description |
|---|
| address_additional | Integer | Total additional addresses purchased |
| hot_address_limit | Integer | Total quota limit for hot wallet addresses |
| hot_address_used | Integer | Number of hot wallet addresses used |
| cold_address_limit | Integer | Total quota limit for cold wallet addresses |
| cold_address_used | Integer | Number of cold wallet addresses used |
| hot | Object | Details for various types of hot wallets (see hot object details below) |
| cold | Object | Details for various types of cold wallets (see cold object details below) |
hot (object)
| Field | Type | Description |
|---|
| common | Object | Common hot wallet |
| NEAR_NEAR | Object | NEAR hot wallet |
| TON_TON | Object | TON hot wallet |
| XLM | Object | XLM hot wallet |
| EOS_EOS | Object | EOS hot wallet |
Each wallet type object contains:
| Field | Type | Description |
|---|
| address_limit | Integer | Address limit for this wallet type |
| address_used | Integer | Number of addresses used in this wallet type |
cold (object)
| Field | Type | Description |
|---|
| common | Object | Common cold wallet |
| ETH | Object | ETH cold wallet |
| XLM | Object | XLM cold wallet |
| TRX | Object | TRX cold wallet |
Each wallet type object contains:
| Field | Type | Description |
|---|
| address_limit | Integer | Address limit for this wallet type |
| address_used | Integer | Number of addresses used in this wallet type |
Response Example
{
"code": 0,
"message": "",
"data": {
"address_additional": 0,
"hot_address_limit": 500,
"hot_address_used": 140,
"cold_address_limit": 315,
"cold_address_used": 8,
"hot": {
"NEAR_NEAR": {
"address_limit": 5,
"address_used": 3
},
"common": {
"address_limit": 500,
"address_used": 140
},
"TON_TON": {
"address_limit": 2,
"address_used": 0
},
"XLM": {
"address_limit": 10,
"address_used": 6
},
"EOS_EOS": {
"address_limit": 0,
"address_used": 0
}
},
"cold": {
"common": {
"address_limit": 5,
"address_used": 4
},
"ETH": {
"address_limit": 5,
"address_used": 3
},
"XLM": {
"address_limit": 10,
"address_used": 1
},
"TRX": {
"address_limit": 0,
"address_used": 0
}
}
},
"successful": true
}